--====================================================================
TRUNCATE TABLE especialitzacio, enginyer, accio,
               adquisicio, producte, incidencia, comunicacio,
               tipus_prd, gamma, tipus_inc, client, factura,
               venedor, agent_telefonic, empleat;

TRUNCATE TABLE log;
INSERT INTO log (data, hora, usuari, operacio, taula, dades)
         VALUES (current_date, clock_timestamp(), current_user, 'INSERT', 'log',
                 'Inici del log de la BD Electrodomestics');
--====================================================================
INSERT INTO gamma (codiGamma, descripcio) VALUES ('G','Gran');
INSERT INTO gamma (codiGamma, descripcio) VALUES ('P','Petit');
INSERT INTO gamma (codiGamma, descripcio) VALUES ('C','Cuina');
--====================================================================
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0001','G','Nevera');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0002','G','Rentaplats');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0003','G','Rentadora');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0004','G','Assecadora');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0005','G','Congelador');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0006','P','Aspirador');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0007','P','Planxa');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0008','P','Maquina de vapor');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0009','P','Robot de neteja');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0010','P','Microones');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0011','P','Ventilador');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0012','P','Calefactor');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0013','C','Batedora');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0014','C','Liquadora');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0015','C','Robot de cuina');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0016','C','Cafetera');
INSERT INTO tipus_prd (codiTipusPrd, gamma, descripcio)
               VALUES ('0017','C','Fregidora');
--====================================================================
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('ZNZ332W00024','NEV-ZRT 332W','0001',220.0,449.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('ZNZ332W00025','NEV-ZRT 332W','0001',220.0,459.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('E44500X00009','NEV-NEW END44500X','0001',366.50,759.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('B3VS3BP00104','PLAT-NET 3VS300BP','0002',160.49,329.0,4);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('EDL124700056','ROBA-NETA ROMAN-L1247 7KG','0003',197.85,419.0,4);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('OTV670F00045','ROBA-SECA VOHV670F','0004',147.70,369.0,3);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('WP050AP01005','GEL-FRED AFG050AP','0005',112.70,269.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('TAP220000077','FERRO-ROENT PTSI 2200','0007',8.75,16.70,1);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('IRRB53100042','ROBOT-NET ROOMBA531','0009',145.75,369.0,3);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('SMS884500062','ROBOT-ELUX SR8845 Navibot','0009',142.35,329.0,3);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('LG1929G00199','ONES-ELUX MS 1929G','0010',33.25,65.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('TAT4F2V02109','VENT-ADOR Tropica 4F 2V','0011',17.50,34.30,3);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('MLJ204500007','LIQUS-FRUIT VITAE JU 200045','0014',22.0,44.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('SC100MC00012','ROBOT-XEF CF100, MULTICOOKER','0015',74.99,149.0,2);
INSERT INTO producte (codiProducte, descripcio, tipus, preuCost, preuVenda, duradaGarantia)
              VALUES ('UFCG72200004','OLI-ROENT CG 7220','0016',11.0,21.9,2);
--====================================================================
INSERT INTO client (codiClient, nif, nom, adress, telefon, descompte)
            VALUES ('JUX567P0','U12345678','Frost shop, SL',
                    'Carrer del Pi, 4, 1r. 1a - 43007 Tarragona','977123456',1.5);
INSERT INTO client (codiClient, nif, nom, adress, telefon, descompte)
            VALUES ('B672N45R','A4299229A','Market New, SA',
                    'Carrer del Pastor, 35 - 08010 Barcelona','932220032',1.25);
INSERT INTO client (codiClient, nif, nom, adress, telefon, descompte)
            VALUES ('X019HTS9','F12345678','Electronics Shop, SA',
                    'Carrer Gran, 12-15 - 17007 Girona','972777643',1.5);
INSERT INTO client (codiClient, nif, nom, adress, telefon, descompte)
            VALUES ('AL98SS49','M76743287','Modern House, SA',
                    'Avd. Ample, 212 - 08045 Barcelona','932209824',1.4);
--====================================================================
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0009','12345678A','Jordi Pujol Capdevila',
                     'Carrer Gran, 76, 3r. 4a - 08023 Barcelona',
                     '641008900','08/09988776/01');
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0016','34299229H','Joan Miro Pintor',
                     'Carrer del Cirerer, 123 - 08010 Barcelona',
                     '932220032','08/12312346/72');
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0017','33560049G','Huc Otger Castellar',
                     'Carrer del Castell, 29 - 08402 Granollers (BCN)',
                     '630123321','08/09456784/49');
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0024','77222987X','Anna Garric Roure',
                     'Pl. Ginjoler, 44, 4t. 1a - 08206 Sabadell',
                     '934588061','08/14567654/32');
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0027','23456987J','Ester Pinsa Alegre',
                     'Avd. dels Llorers, 14 - 08350 Arenys de Mar (BCN)',
                     '938004567','08/08776543/11');
INSERT INTO empleat (codiEmpleat, nif, nom, adress, telefon, nss)
             VALUES ('0029','12233344S','Pere Pau Amic',
                     'Carrer dels Ferrers, 45 - 08720 Vilafranca del P. (BCN)',
                     '938171717','08/56433458/71');
--====================================================================
INSERT INTO venedor (codiEmpleat, comissioVendes) VALUES ('0009',1.75);
INSERT INTO venedor (codiEmpleat, comissioVendes) VALUES ('0029',1.50);
--====================================================================
INSERT INTO agent_telefonic (codiEmpleat, telefonDepartament) VALUES ('0017','931112234');
INSERT INTO agent_telefonic (codiEmpleat, telefonDepartament) VALUES ('0024','931112233');
--====================================================================
INSERT INTO enginyer (codiEmpleat, especialitat) VALUES ('0016','Tecnologia Electrica');
INSERT INTO enginyer (codiEmpleat, especialitat) VALUES ('0027','Tecnologia Electronica');
--====================================================================
INSERT INTO especialitzacio (enginyer, gamma) VALUES ('0016','G');
INSERT INTO especialitzacio (enginyer, gamma) VALUES ('0027','P');
INSERT INTO especialitzacio (enginyer, gamma) VALUES ('0027','C');
--====================================================================
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('0001','Mecanica','S');
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('0002','Mecanica','N');
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('1001','Electrica','S');
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('1002','Electrica','N');
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('2001','Electronica','S');
INSERT INTO tipus_inc (codiTipusInc, descripcio, garantiaAplicable)
               VALUES ('2002','Electronica','N');
--====================================================================
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A200600111','0029',to_date('20060927','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A200700098','0029',to_date('20070105','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A201000125','0009',to_date('20100927','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A201000129','0009',to_date('20101015','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A201000147','0029',to_date('20101212','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A201100076','0009',to_date('20110420','YYYYMMDD'));
INSERT INTO factura (codiFactura, venedor, data)
             VALUES ('A201100078','0029',to_date('20110428','YYYYMMDD'));
--====================================================================
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('LG1929G00199','A200600111','JUX567P0');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('ZNZ332W00025','A200700098','X019HTS9');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('WP050AP01005','A200700098','X019HTS9');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('ZNZ332W00024','A201000125','JUX567P0');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('TAT4F2V02109','A201000129','B672N45R');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('UFCG72200004','A201000129','B672N45R');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('IRRB53100042','A201000129','B672N45R');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('B3VS3BP00104','A201000147','X019HTS9');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('E44500X00009','A201100076','AL98SS49');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('TAP220000077','A201100078','AL98SS49');
INSERT INTO adquisicio (producte, factura, client)
                VALUES ('SC100MC00012','A201100078','AL98SS49');
--====================================================================
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0004','LG1929G00199','A200600111',
                        'No funciona', '2001',
                        to_date('20110329','YYYYMMDD'),to_date('20110412','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0005','ZNZ332W00024','A201000125',
                        'El motor ha deixat de funcionar', '1001',
                        to_date('20110404','YYYYMMDD'),to_date('20110411','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0008','TAT4F2V02109','A201000129',
                        'El selector de velocitat no funciona correctament', '0001',
                        to_date('20110406','YYYYMMDD'),to_date('20110408','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0009','UFCG72200004','A201000129',
                        'Trencada tapa superior', '0002',
                        to_date('20110502','YYYYMMDD'),to_date('20110512','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0014','ZNZ332W00025','A200700098',
                        'Motor no para mai', '1001',
                        to_date('20110502','YYYYMMDD'),to_date('20110516','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0017','IRRB53100042','A201000129',
                        'Els sensors no detectem objectes', '2001',
                        to_date('20110506','YYYYMMDD'),NULL);
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0019','B3VS3BP00104','A201000147',
                        'No evacua l`aigua correctament', '0002',
                        to_date('20110509','YYYYMMDD'),to_date('20110511','YYYYMMDD'));
INSERT INTO incidencia (codiIncidencia, producte, factura,
                        descripcio, tipusIncidencia,
                        dataObertura, dataTancament)
                VALUES ('INC2011X0025','E44500X00009','A201100076',
                        'La porta no tanca correctament', '0001',
                        to_date('20110421','YYYYMMDD'),to_date('20110427','YYYYMMDD'));
--====================================================================
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0004','JUX567P0','0024');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0005','JUX567P0','0017');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0008','B672N45R','0024');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0009','B672N45R','0024');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0014','X019HTS9','0017');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0017','B672N45R','0017');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0019','X019HTS9','0017');
INSERT INTO comunicacio (incidencia, client, agentTelefonic)
                 VALUES ('INC2011X0025','AL98SS49','0024');
--====================================================================
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0001','INC2011X0004','0016',
                   to_date('20110401','YYYYMMDD'), to_date('20110405','YYYYMMDD'),
                   'Revisio aparell', 15.00);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0002','INC2011X0004','0027',
                   to_date('20110405','YYYYMMDD'), to_date('20110407','YYYYMMDD'),
                   'Canvi circuits interiors interficie comandament', 32.00);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0004','INC2011X0005','0016',
                   to_date('20110406','YYYYMMDD'), to_date('20110407','YYYYMMDD'),
                   'Canviar motor', 100.25);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0009','INC2011X0005','0016',
                   to_date('20110407','YYYYMMDD'), to_date('20110407','YYYYMMDD'),
                   'Canviar cables', 15.50);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0013','INC2011X0008','0027',
                   to_date('20110407','YYYYMMDD'), to_date('20110407','YYYYMMDD'),
                   'Substituir selector de velocitats', 15.65);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0024','INC2011X0009','0027',
                   to_date('20110506','YYYYMMDD'), to_date('20110511','YYYYMMDD'),
                   'Substituir tapa i junta de goma', 7.95);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0027','INC2011X0014','0016',
                   to_date('20110504','YYYYMMDD'), to_date('20110513','YYYYMMDD'),
                   'Canviar el termostat', 16.88);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0029','INC2011X0017','0027',
                   to_date('20110509','YYYYMMDD'), NULL,
                   'Revisar sensors', 0.00);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0033','INC2011X0019','0016',
                   to_date('20110510','YYYYMMDD'), to_date('20110510','YYYYMMDD'),
                   'Revisar aparell', 12.00);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0034','INC2011X0019','0016',
                   to_date('20110511','YYYYMMDD'), to_date('20110511','YYYYMMDD'),
                   'Canviar tubs evacuacio, i juntes rovellades', 67.50);
INSERT INTO accio (codiAccio, incidencia, enginyer, dataInici, dataFi, descripcio, cost)
           VALUES ('ACC2011V0037','INC2011X0025','0016',
                   to_date('20110426','YYYYMMDD'), to_date('20110427','YYYYMMDD'),
                   'Ajustar porta', 27.50);
--====================================================================
