--====================================================================
TRUNCATE TABLE DWH_res, DWH_acc, DWH_inc, DWH_prd;

--====================================================================
INSERT INTO DWH_prd (DWH_prd_codi, DWH_prd_descr,
                     DWH_prd_tipus, DWH_prd_gamma, DWH_prd_data, DWH_prd_tmGar)
             VALUES ('AS0010XS0001','Bokk ice model Sun-34-16',
                     'Nevera','Gran',to_date('20110404','YYYYMMDD'),2);
INSERT INTO DWH_prd (DWH_prd_codi, DWH_prd_descr,
                     DWH_prd_tipus, DWH_prd_gamma, DWH_prd_data, DWH_prd_tmGar)
             VALUES ('VK0033NP0032','Dark Cofee 134-a',
                     'Cafetera','Cuina',to_date('20110227','YYYYMMDD'),1);
INSERT INTO DWH_prd (DWH_prd_codi, DWH_prd_descr,
                     DWH_prd_tipus, DWH_prd_gamma, DWH_prd_data, DWH_prd_tmGar)
             VALUES ('PL0024XC0089','Aspira Tot GX-129',
                     'Aspirador','Petit',to_date('20110502','YYYYMMDD'),3);
SELECT * FROM DWH_prd;
--====================================================================
INSERT INTO DWH_inc (DWH_inc_codi, DWH_inc_prod, DWH_inc_tipus,
                     DWH_inc_dtIni, DWH_inc_dtFi, DWH_inc_InGar)
             VALUES ('VGH1000XC001','AS0010XS0001','Mecanica',
                     to_date('20110401','YYYYMMDD'),to_date('20110424','YYYYMMDD'),'S');
INSERT INTO DWH_inc (DWH_inc_codi, DWH_inc_prod, DWH_inc_tipus,
                     DWH_inc_dtIni, DWH_inc_dtFi, DWH_inc_InGar)
             VALUES ('VGH1000XC002','VK0033NP0032','Electronica',
                     to_date('20110412','YYYYMMDD'),to_date('20110424','YYYYMMDD'),'N');
INSERT INTO DWH_inc (DWH_inc_codi, DWH_inc_prod, DWH_inc_tipus,
                     DWH_inc_dtIni, DWH_inc_dtFi, DWH_inc_InGar)
             VALUES ('VGH1000XC003','PL0024XC0089','Electrica',
                     to_date('20110427','YYYYMMDD'),to_date('20110429','YYYYMMDD'),'S');
SELECT * FROM DWH_inc;
--====================================================================
--INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
--             VALUES ('AC1104020000','VGH1000XC000',100.25);
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104020000','VGH1000XC001',100.25);
DELETE FROM DWH_acc WHERE DWH_acc_codi = 'AC1104020000';
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104020001','VGH1000XC001',100.25);
UPDATE DWH_acc SET DWH_acc_cost = 111.11 WHERE DWH_acc_codi = 'AC1104020001';
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104020002','VGH1000XC001',290.0);
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104020003','VGH1000XC001',0.0);
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104050001','VGH1000XC002',15.75);
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104050002','VGH1000XC002',45.48);
INSERT INTO DWH_acc (DWH_acc_codi, DWH_acc_incid, DWH_acc_cost)
             VALUES ('AC1104650001','VGH1000XC003',0.0);
SELECT * FROM DWH_acc;
--====================================================================
-- -- JA ES FA PER TRIGGERS A DWH_acc
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('AS0010XS0001','VGH1000XC001','AC1104020001');
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('AS0010XS0001','VGH1000XC001','AC1104020002');
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('AS0010XS0001','VGH1000XC001','AC1104020003');
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('VK0033NP0032','VGH1000XC002','AC1104050001');
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('VK0033NP0032','VGH1000XC002','AC1104050002');
-- INSERT INTO DWH_res (DWH_res_prod, DWH_res_incid, DWH_res_accio)
--              VALUES ('PL0024XC0089','VGH1000XC003','AC1104650001');
SELECT * FROM DWH_res;
--====================================================================
