--====================================================================
-- TAULA log -- Log de les operacions que es fan a la BD
--====================================================================
DROP TABLE IF EXISTS log;
CREATE TABLE log (
  numero   SERIAL       CONSTRAINT PK_log          PRIMARY KEY,
  data     DATE         CONSTRAINT NN_log_data     NOT NULL,
  hora     TIME         CONSTRAINT NN_log_hora     NOT NULL,
  usuari   VARCHAR(32)  CONSTRAINT NN_log_usuari   NOT NULL,
  operacio CHAR(6)      CONSTRAINT NN_log_operacio NOT NULL,
  taula    VARCHAR(16)  CONSTRAINT NN_log_taula    NOT NULL,
                        CONSTRAINT CH_log_inc_gar
                             CHECK(operacio IN ('INSERT','UPDATE','DELETE')),
  dades    VARCHAR(512) CONSTRAINT NN_log_operacio NOT NULL
);
-- INSERT INTO log (data, hora, usuari, operacio, taula, dades)
--          VALUES (current_date, clock_timestamp(), current_user, 'INSERT', 'log',
--                  'Inici del log de la BD Electrodomestics');
-- SELECT * FROM log;
